﻿@page
@model RegisterModel
@{
    ViewData["Title"] = "Register";
}



<div class="row">
    <div class="col-lg-2"></div>
    <div class="col-lg-4">
        <form asp-route-returnUrl="@Model.ReturnUrl" method="post">
            <h2>@ViewData["Title"]</h2>
            <p>Create a new account.</p>
            <hr />
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Input.Email"></label>
                <input asp-for="Input.Email" class="form-control" />
                <span asp-validation-for="Input.Email" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Input.Password"></label>
                <input asp-for="Input.Password" class="form-control" />
                <span asp-validation-for="Input.Password" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Input.ConfirmPassword"></label>
                <input asp-for="Input.ConfirmPassword" class="form-control" />
                <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
            </div>
            <button type="submit" class="btn btn-primary"><i class="fa fa-check"></i> Register</button>
        </form>
    </div>
    <div class="col-lg-4">
        <h2>Use another service to register.</h2>
        <p>Choose another service.</p>
        <hr />
        @{
            if ((Model.ExternalLogins?.Count ?? 0) == 0)
            {
                <div>
                    <p>
                        There are no external authentication services configured. See <a href="https://go.microsoft.com/fwlink/?LinkID=532715">this article</a>
                        for details on setting up this ASP.NET application to support logging in via external services.
                    </p>
                </div>
            }
            else
            {
                <form id="external-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal">
                    <div>
                        <p>
                            @foreach (var provider in Model.ExternalLogins)
                            {
                                <button type="submit" class="btn btn-primary" name="provider" value="@provider.Name" title="Log in using your @provider.DisplayName account"><i class="fab fa-@provider.Name.ToLower()"></i> @provider.DisplayName</button>
                            }
                        </p>
                    </div>
                </form>
            }
        }
    </div>
    <div class="col-lg-2"></div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
